VTK: QTestApp Class Reference

| VTK 9.3.1

Public Member Functions | Static Public Member Functions | List of all members
QTestApp Class Reference

`#include <QTestApp.h>`

## Public Member Functions
| QTestApp (int _argc, char **_argv)
| ~QTestApp ()

## Static Public Member Functions
static int | exec ()
static void | messageHandler (QtMsgType type, const QMessageLogContext &context, const QString &message)
static void | delay (int ms)
static void | simulateEvent (QWidget *w, QEvent *e)
static void | keyUp (QWidget *w, Qt::Key key, Qt::KeyboardModifiers mod, int ms)
static void | keyDown (QWidget *w, Qt::Key key, Qt::KeyboardModifiers mod, int ms)
static void | keyClick (QWidget *w, Qt::Key key, Qt::KeyboardModifiers mod, int ms)
static void | mouseDown (QWidget *w, QPoint pos, QPoint screenpos, Qt::MouseButton btn, Qt::KeyboardModifiers mod, int ms)
static void | mouseUp (QWidget *w, QPoint pos, QPoint screenpos, Qt::MouseButton btn, Qt::KeyboardModifiers mod, int ms)
static void | mouseMove (QWidget *w, QPoint pos, QPoint screenpos, Qt::MouseButton btn, Qt::KeyboardModifiers mod, int ms)
static void | mouseClick (QWidget *w, QPoint pos, QPoint screenpos, Qt::MouseButton btn, Qt::KeyboardModifiers mod, int ms)

## Detailed Description

Definition at line 12 of file QTestApp.h.

## Constructor & Destructor Documentation

## ◆ QTestApp()

QTestApp::QTestApp | ( | int | _argc,
|  | char ** | _argv
| ) |  |

## ◆ ~QTestApp()

QTestApp::~QTestApp | ( |  | ) |

## Member Function Documentation

## ◆ exec()

static int QTestApp::exec | ( |  | ) |
| static

## ◆ messageHandler()

static void QTestApp::messageHandler | ( | QtMsgType | type,
|  | const QMessageLogContext & | context,
|  | const QString & | message
| ) |  |
| static

## ◆ delay()

static void QTestApp::delay | ( | int | ms | ) |
| static

## ◆ simulateEvent()

static void QTestApp::simulateEvent | ( | QWidget * | w,
|  | QEvent * | e
| ) |  |
| static

## ◆ keyUp()

static void QTestApp::keyUp | ( | QWidget * | w,
|  | Qt::Key | key,
|  | Qt::KeyboardModifiers | mod,
|  | int | ms
| ) |  |
| static

## ◆ keyDown()

static void QTestApp::keyDown | ( | QWidget * | w,
|  | Qt::Key | key,
|  | Qt::KeyboardModifiers | mod,
|  | int | ms
| ) |  |
| static

## ◆ keyClick()

static void QTestApp::keyClick | ( | QWidget * | w,
|  | Qt::Key | key,
|  | Qt::KeyboardModifiers | mod,
|  | int | ms
| ) |  |
| static

## ◆ mouseDown()

static void QTestApp::mouseDown | ( | QWidget * | w,
|  | QPoint | pos,
|  | QPoint | screenpos,
|  | Qt::MouseButton | btn,
|  | Qt::KeyboardModifiers | mod,
|  | int | ms
| ) |  |
| static

## ◆ mouseUp()

static void QTestApp::mouseUp | ( | QWidget * | w,
|  | QPoint | pos,
|  | QPoint | screenpos,
|  | Qt::MouseButton | btn,
|  | Qt::KeyboardModifiers | mod,
|  | int | ms
| ) |  |
| static

## ◆ mouseMove()

static void QTestApp::mouseMove | ( | QWidget * | w,
|  | QPoint | pos,
|  | QPoint | screenpos,
|  | Qt::MouseButton | btn,
|  | Qt::KeyboardModifiers | mod,
|  | int | ms
| ) |  |
| static

## ◆ mouseClick()

static void QTestApp::mouseClick | ( | QWidget * | w,
|  | QPoint | pos,
|  | QPoint | screenpos,
|  | Qt::MouseButton | btn,
|  | Qt::KeyboardModifiers | mod,
|  | int | ms
| ) |  |
| static

The documentation for this class was generated from the following file:

- GUISupport/Qt/Testing/Cxx/QTestApp.h